"""IDTxl: Information Dynamics Toolkit xl.

IDTxl is a comprehensive software package for efficient inference of networks
and their node dynamics from multivariate time series data using information
theory. IDTxl provides functionality to estimate the following measures:

1) For network inference:

    - multivariate transfer entropy (TE)/Granger causality (GC)
    - multivariate mutual information (MI)
    - bivariate TE/GC
    - bivariate MI

3) For analysis of node dynamics:

    - active information storage (AIS)
    - partial information decomposition (PID)

IDTxl implements estimators for discrete and continuous data with parallel
computing engines for both GPU and CPU platforms. Written for Python3.4.3+.
"""

# __all__ = ["data", "stats", "utils"]


# from .data import Data
# from .multivariate_te import MultivariateTE

# TODO add everything that should be callable by the user?
